<?xml version="1.0" encoding="utf-8"?>
<FrameLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:gravity="center_horizontal"
        android:paddingLeft="20dp"
        android:paddingRight="40dp"
        android:clipChildren="false"
        android:layout_marginTop="45dp"
        android:paddingBottom="15dp"
        android:background="@mipmap/sign__dialog_bg_new" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">
            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="-10dp"
                android:src="@mipmap/icon_smile"/>

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:src="@mipmap/checkin_title"/>
        </LinearLayout>


        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_desc"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="-5dp"
            android:textSize="14sp"
            android:textColor="@color/gray6"
            android:text="@string/daily_sign_desc"
            />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginTop="5dp" >
            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:textColor="@color/gray9"
                android:text="@string/daily_sign_times"
                />
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_signed_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:layout_marginLeft="3dp"
                android:textColor="@color/gray9"
                />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    />
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_2"
                    android:layout_width="0dp"
                    android:layout_marginStart="5dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    />
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_3"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    />
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_4"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:orientation="horizontal">
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_5"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    />
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_6"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    />
                <com.gamedog.vididin.widget.DailySignItemView
                    android:id="@+id/sign_item_7"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_weight="2"
                    />
            </LinearLayout>
        </LinearLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:clipChildren="false" >

            <!--普通签到两个按钮场景-->
            <LinearLayout
                android:id="@+id/action_normal_two_buts"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:clipChildren="false"
                android:orientation="horizontal"
                android:gravity="center"
                >

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/but_sign"
                    android:layout_width="0dp"
                    android:layout_height="42dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_sign_left_but"
                    android:textSize="14sp"
                    android:textColor="@color/red_2f"
                    android:text="@string/resgatar"
                    android:gravity="center"
                    />


                <FrameLayout
                    android:id="@+id/but_watch_ad"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="match_parent"
                        android:layout_height="45dp"
                        android:layout_gravity="center_vertical"
                        android:background="@mipmap/zero_bg_but"/>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_marginBottom="2dp"
                        android:gravity="center_vertical"
                        android:layout_gravity="center">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@mipmap/task_video"/>

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:textSize="14sp"
                            android:layout_marginLeft="5dp"
                            android:textColor="@color/white"
                            android:text="@string/assistir"
                            android:gravity="center"
                            />
                    </LinearLayout>

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="8dp"
                        android:layout_gravity="top|right"
                        android:layout_marginTop="-20dp"
                        android:layout_marginRight="3dp"
                        android:src="@mipmap/icon_x2"/>

                </FrameLayout>
            </LinearLayout>

            <!--已完成普通签到 待看广告)-->
            <FrameLayout
                android:id="@+id/action_watch_ad"
                android:layout_width="wrap_content"
                android:layout_height="52dp"
                android:layout_gravity="center"
                android:paddingHorizontal="30dp"
                android:visibility="gone"
                android:background="@mipmap/icon_action_but_bg">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_gravity="center"
                    android:gravity="center_vertical" >
                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:textSize="18sp"
                        android:textColor="@color/white"
                        android:text="@string/assistir"
                        android:drawableLeft="@mipmap/task_video"
                        android:drawablePadding="5dp"
                        />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_gold_num"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginLeft="15dp"
                        android:textSize="21sp"
                        android:textColor="@color/yellow_00"
                        android:text="+100"
                        android:drawableStart="@mipmap/task_gold"
                        android:drawablePadding="5dp"
                        />

                </LinearLayout>
            </FrameLayout>

            <!--补签-->
            <FrameLayout
                android:id="@+id/action_complement"
                android:layout_width="wrap_content"
                android:layout_height="52dp"
                android:layout_gravity="center"
                android:paddingHorizontal="30dp"
                android:background="@mipmap/icon_action_but_bg"
                android:visibility="gone">
                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textSize="18sp"
                    android:textColor="@color/white"
                    android:text="@string/complement_hint"
                    android:gravity="center"
                    android:layout_gravity="center"
                    android:drawableStart="@mipmap/task_video"
                    android:drawablePadding="5dp"
                    />
            </FrameLayout>

            <!--明日再来-->
            <FrameLayout
                android:id="@+id/action_tomorrow_sign"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_gravity="center"
                android:paddingHorizontal="20dp"
                android:background="@drawable/bg_sign_done_but"
                android:visibility="gone">
                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="18sp"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:text="@string/tomorrow_sign"
                    android:gravity="center"
                    android:layout_gravity="center"

                    android:autoSizeTextType="uniform"
                    android:autoSizeMinTextSize="10sp"
                    android:autoSizeMaxTextSize="18sp"
                    android:autoSizeStepGranularity="1sp"
                    />
            </FrameLayout>

        </FrameLayout>

    </LinearLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_gravity="end"
        android:src="@mipmap/icon_close_with_circle"
        android:layout_marginEnd="30dp"
        />




</FrameLayout>







